Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-digest-scheme-14.txt

From: "Olle E. Johansson" <[email-masked]>
Date: Fri, 1 Nov 2019 08:26:26 +0100

> On 31 Oct 2019, at 22:55, Paul Kyzivat <[email-masked]> wrote:
> 
> On 10/31/19 1:37 PM, Maxim Sobolev wrote:
>> Hi, I am new here, so not sure what the proper process is, but there are few comments I have with regards to the proposed RFC:
>> 1. In the Abstract section there is a phrase "the broken MD5 algorithm". I think "broken" might be a bit strong and emotionally charged. There is nothing broken about MD5 as far as hashing algorithm is concerned. It is proven to be not very secure in this day and age, but given the right amount of time any today's algorithm would probably be in that category.
> 
> This is a good point. MD5 is simply obsolete, not broken.
> 
You may add a reference to https://tools.ietf.org/html/rfc6151

"The published attacks against MD5
   show that it is not prudent to use MD5 when collision resistance is
   required."

"The attacks presented in [KLIM2006 <https://tools.ietf.org/html/rfc6151#ref-KLIM2006>] can find MD5 collision in
   about one minute on a standard notebook PC (Intel Pentium, 1.6GHz).
   [STEV2007 <https://tools.ietf.org/html/rfc6151#ref-STEV2007>] claims that it takes 10 seconds or less on a 2.6Ghz
   Pentium4 to find collisions.
"

In essence, it’s not broken, but quite open for succesful attacks.

/O